API ReferenceWebhooks
Update a webhook
Updates the webhook's URL, events, or active status.
Authorization
http AuthorizationBearer <token>
In: header
Path Parameters
space*integer
The space ID
webhook*integer
The webhook ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://zilfu.app/api/spaces/0/webhooks/0" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": 0,
"url": "string",
"events": [
null
],
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"message": "string"
}{
"message": "string"
}{
"message": "string"
}{
"message": "string",
"errors": {
"property1": [
"string"
],
"property2": [
"string"
]
}
}